Name:           simdutf
Version:        1.0.1
Release:        %autorelease
Summary:        Unicode validation and transcoding at billions of characters per second

License:        Apache-2.0 AND MIT
URL:		https://github.com/simdutf/simdutf
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:		simdutf-remove-static.patch

BuildRequires:  cmake
BuildRequires:	gcc-c++

%description
Unicode (UTF8, UTF16, UTF32) validation and transcoding at billions of 
characters per second using SSE2, AVX2, NEON, AVX-512.

%package devel
Summary:	Development files for %{name}

%description devel
The package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE-APACHE LICENSE-MIT
%doc AUTHORS README.md
%{_libdir}/lib%{name}*.so.*

%files devel
%license LICENSE-APACHE LICENSE-MIT
%{_includedir}/%{name}.h
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/lib%{name}*.so

%changelog
%autochangelog
